petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionGetFieldConstraintIndices

Get the field dof numbers, in [0, fdof), which are constrained

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldConstraintIndices(PetscSection s, PetscInt point, PetscInt field, const PetscInt **indices)

Not collective

### Input Parameters

| s | - The PetscSection
| field | - The field number
| point | - The point

### Output Parameter

indices -The constrained dofs

Note: In Fortran, you call PetscSectionGetFieldConstraintIndicesF90() and PetscSectionRestoreFieldConstraintIndicesF90()

### See Also

PetscSectionSetFieldConstraintIndices(), PetscSectionGetConstraintIndices(), PetscSectionGetConstraintDof(), PetscSection

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages